Bug 10150 - Not all OEM servers support the ALTNAME info level.
Not all OEM servers support the ALTNAME info level.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9306
  Show dependency treegraph
 
Reported: 2013-09-17 18:18 UTC by Jeremy Allison
Modified: 2013-09-19 10:10 UTC (History)
0 users

See Also:


Attachments
git-am fix from master for 4.1.0 (1.24 KB, patch)
2013-09-17 23:45 UTC, Jeremy Allison
vl: review-
Details
git-am fix from master for 4.1.0 (1.21 KB, patch)
2013-09-18 17:14 UTC, Jeremy Allison
no flags Details
git-am fix from master for 4.1.0 (contains both patches). (2.60 KB, patch)
2013-09-18 20:14 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-09-17 18:18:27 UTC
Don't fail the smbclient "allinfo" command just because we can't get an alternate name. Just print "" instead (but log the error message getting the name).

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-09-17 23:45:04 UTC
Created attachment 9223 [details]
git-am fix from master for 4.1.0

git cherry-pick -x 17a9a0f37bbb730d09b3a57b00665d44aac18ea6
Comment 2 Volker Lendecke 2013-09-18 13:45:18 UTC
Comment on attachment 9223 [details]
git-am fix from master for 4.1.0

Can you upload the NOT_IMPLEMENTED version of this?
Comment 3 Jeremy Allison 2013-09-18 17:14:01 UTC
Created attachment 9224 [details]
git-am fix from master for 4.1.0

Revised patch that includes checks for NT_STATUS_NOT_IMPLEMENTED, NT_STATUS_NOT_SUPPORTED.

Git cherry-pick info to follow once it's gone through autobuild.

Jeremy.
Comment 4 Jeremy Allison 2013-09-18 20:14:50 UTC
Created attachment 9227 [details]
git-am fix from master for 4.1.0 (contains both patches).

Equivalent to:

git cherry-pick -x 17a9a0f37bbb730d09b3a57b00665d44aac18ea6
git cherry-pick -x 75f353b857d50291672adefc6eefd210c9e8a0f7

Jeremy.
Comment 5 Jeremy Allison 2013-09-18 20:19:59 UTC
Re-assigning to Karolin for inclusion in 4.1.0.

Jeremy.
Comment 6 Karolin Seeger 2013-09-19 08:16:47 UTC
Pushed to autobuild-v4-1-test.
Comment 7 Karolin Seeger 2013-09-19 10:10:18 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!